Module javafx.base
Package javafx.beans.property

# Class SimpleDoubleProperty

java.lang.Object
javafx.beans.binding.NumberExpressionBase
javafx.beans.binding.DoubleExpression
javafx.beans.property.ReadOnlyDoubleProperty
javafx.beans.property.DoubleProperty
javafx.beans.property.DoublePropertyBase
javafx.beans.property.SimpleDoubleProperty

All Implemented Interfaces:
  `NumberExpression`, `Observable`, `Property<Number>`, `ReadOnlyProperty<Number>`, `ObservableDoubleValue`, `ObservableNumberValue`, `ObservableValue<Number>`, `WritableDoubleValue`, `WritableNumberValue`, `WritableValue<Number>`

Direct Known Subclasses:
  `ReadOnlyDoubleWrapper`

public class SimpleDoubleProperty extends DoublePropertyBase
This class provides a full implementation of a `Property` wrapping a `double` value.

Since:
  JavaFX 2.0
See Also:
  - `DoublePropertyBase`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SimpleDoubleProperty()`
  The constructor of `DoubleProperty`
  `SimpleDoubleProperty(double initialValue)`
  The constructor of `DoubleProperty`
  `SimpleDoubleProperty(Object bean, String name)`
  The constructor of `DoubleProperty`
  `SimpleDoubleProperty(Object bean, String name, double initialValue)`
  The constructor of `DoubleProperty`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `getBean()`
  Returns the `Object` that contains this property.
  `String`
  `getName()`
  Returns the name of this property.

  ### Methods declared in class javafx.beans.property.DoublePropertyBase

  `addListener, addListener, bind, fireValueChangedEvent, get, invalidated, isBound, removeListener, removeListener, set, toString, unbind`

  ### Methods declared in class javafx.beans.property.DoubleProperty

  `asObject, bindBidirectional, doubleProperty, setValue, unbindBidirectional`

  ### Methods declared in class javafx.beans.property.ReadOnlyDoubleProperty

  `readOnlyDoubleProperty`

  ### Methods declared in class javafx.beans.binding.DoubleExpression

  `add, add, add, add, add, divide, divide, divide, divide, divide, doubleExpression, doubleExpression, doubleValue, floatValue, getValue, intValue, longValue, multiply, multiply, multiply, multiply, multiply, negate, subtract, subtract, subtract, subtract, subtract`

  ### Methods declared in class javafx.beans.binding.NumberExpressionBase

  `asString, asString, asString, greaterThan, greaterThan, greaterThan, greaterThan, greaterThan, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, lessThan, lessThan, lessThan, lessThan, lessThan, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, numberExpression`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods declared in interface javafx.beans.Observable

  `subscribe`

  ### Methods declared in interface javafx.beans.value.ObservableValue

  `flatMap, getValue, map, orElse, subscribe, subscribe, when`

  ### Methods declared in interface javafx.beans.value.WritableValue

  `getValue`

- ## Constructor Details

  - ### SimpleDoubleProperty

    public SimpleDoubleProperty()
    The constructor of `DoubleProperty`

  - ### SimpleDoubleProperty

    public SimpleDoubleProperty(double initialValue)
    The constructor of `DoubleProperty`
    Parameters:
      `initialValue` - the initial value of the wrapped value

  - ### SimpleDoubleProperty

    public SimpleDoubleProperty(Object bean, String name)
    The constructor of `DoubleProperty`
    Parameters:
      `bean` - the bean of this `DoubleProperty`
      `name` - the name of this `DoubleProperty`

  - ### SimpleDoubleProperty

    public SimpleDoubleProperty(Object bean, String name, double initialValue)
    The constructor of `DoubleProperty`
    Parameters:
      `bean` - the bean of this `DoubleProperty`
      `name` - the name of this `DoubleProperty`
      `initialValue` - the initial value of the wrapped value

- ## Method Details

  - ### getBean

    public Object getBean()
    Returns the `Object` that contains this property. If this property is not contained in an `Object`, `null` is returned.
    Returns:
      the containing `Object` or `null`

  - ### getName

    public String getName()
    Returns the name of this property. If the property does not have a name, this method returns an empty `String`.
    Returns:
      the name or an empty `String`